%global momorel 1

Summary: EXIF Tag Parsing Library
Name: libexif
Version: 0.6.13
Release: %{momorel}m
License: LGPL
URL: http://libexif.sourceforge.net/
Group: Applications/Multimedia
%NoSource 0 http://jaist.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2 1b1e2b495c5aa20c08725f30545a110b
Patch0: %{name}-%{version}-fix-libexif_pc.patch
Patch1: %{name}-badentry.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: gettext
BuildPreReq: gettext, libtool, doxygen

%description
Most digital cameras produce EXIF files, which are JPEG files
with extra tags that contain information about the image.
The EXIF library allows you to parse an EXIF file and read
the data from those tags.

%package devel
Summary: Headers and links to compile against the libexif library
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
Group: Development/Libraries

%description devel
Most digital cameras produce EXIF files, which are JPEG files
with extra tags that contain information about the image.
The EXIF library allows you to parse an EXIF file and read
the data from those tags.

%prep
%setup -q

%patch0 -p1 -b .fix-libexif_pc
%patch1 -p0 -b .badentry

%build
%define __libtoolize :
%configure --with-doc-dir=%{buildroot}%{_docdir}/%{name}
%make

%install
rm -rf --preserve-root %{buildroot}
%makeinstall

# %clean up docs
rm -rf %{buildroot}%{_docdir}/%{name}

%clean
rm -rf --preserve-root %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/*.so.*
%{_datadir}/locale/*/LC_MESSAGES/*.mo

%files devel
%defattr(-,root,root)
%doc doc/doxygen-output/libexif-api.html
%doc doc/doxygen-output/libexif-internals.html
%{_includedir}/libexif
%{_libdir}/pkgconfig/libexif.pc
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so

%changelog
* Mon Mar 27 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.13-1m)
- version 0.6.13 thanks, Mukai-san
  http://bugs.gentoo.org/show_bug.cgi?id=86740
- add libexif-0.6.13-fix-libexif_pc.patch
- import libexif-badentry.patch from opensuse
 +* Thu Jan 19 2006 - meissner@suse.de
 +- applied fix for crash in bad exif data #144008
- change URL
- remove gcc4.patch

* Wed Dec 7 2005 Hiroyuki Koga <kuma@momonga-linux.org>
- (0.6.12-2m)
- add gcc4 patch

* Sat Dec 3 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.12-1m)
- update to 0.6.12
- for eog-2.12.2

* Thu Jan 20 2005 Yuya Yamaguchi <bebe@hepo.jp>
- (0.5.12-2m)
- License: LGPL

* Mon Aug 6 2003 Yuya Yamaguchi <bebe@hepo.jp>
- (0.5.12-1m)
- major bugfixes
- use %%NoSource macro

* Mon Jun 16 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.5.9-2m)
- libtool

* Wed Feb 12 2003 Yuya Yamaguchi <bebe@momonga-linux.org>
- (0.5.9-1m)
- Ver up.

* Mon Jan 6 2003 Yuya Yamaguchi <bebe@momonga-linux.org>
- (0.5.8-1m)
- Ver. up
- remove "--included-gettext" from %%configure

* Fri Aug 30 2002 Yuya Yamaguchi <bebe@momonga-linux.org>
- (0.5.6-1m)
- Ver. up

* Wed Jul 31 2002 Yuya Yamaguchi <bebe@momonga-linux.org>
- (0.5.4-1m)
- First build for Momonga Linux
